Skip to main content

Career Navigation Profiles

List Career Navigation Profiles

Make a GET request to /career-navigation-profiles to retrieve a list of the most recent Career Navigation Profiles created in your account.

note

Pagination and the ability to request the next set of items is coming soon. You can use the has_more property to determine if there are more for you to fetch. For now, only the most recent 50 items are returned.

GET /career-navigation-profiles
{
"mode": "live",
"object": "list",
"total_count": 67,
"has_more": true,
"data": [
{
"object": "career_navigation_profile_list_item",
"id": "CNP1234567890",
"first_name": "Linda",
"last_name": "Sample",
"email": "linda.sample@jofiscore.com",
"invitation_created_at": "2026-12-11T22:23:05.312696+00:00",
"invitation_id": 12345,
"custom_id": "ABC123",
"person_id": "1bb2141c-4100-4b21-9cd2-a998b76cf736",
"test_taker_id": 12345,
"assessment_url": "https://www.jofiscore.com/welcome/69608c33-1425-4123-9c49-22c5d9d7838c",
"career_navigation_url": "https://www.careernavigation.org?c=CNP1234567890",
"scorecard_url": "https://www.jofiscore.com/team/100/test-takers/12345/scorecard",
"job_fit_summary_url": "https://www.jofiscore.com/test-takers/CNP1234567890/job-fit?r=jfs&zones=1_5",
"career_options_spotlight_url": "https://www.jofiscore.com/test-takers/CNP1234567890/job-fit?r=cor&zones=1_5",
"team": {
"id": 100,
"display_name": "Recruiting"
},
"account": {
"id": 200,
"display_name": "Example Company Inc"
}
},
{
"object": "career_navigation_profile_list_item",
"id": "CNP2345678901",
"first_name": "Sarah",
"last_name": "Sample",
"email": "sarah.sample@jofiscore.com",
"invitation_created_at": "2026-06-26T11:41:15.44745+00:00",
"invitation_id": 23456,
"custom_id": "ABC456",
"person_id": "2bb2141c-4100-4b21-9cd2-a998b76cf737",
"test_taker_id": 23456,
"assessment_url": "https://www.jofiscore.com/welcome/bc523bda-bf32-43de-84d7-c5a7006cc406",
"career_navigation_url": "https://www.careernavigation.org?c=CNP2345678901",
"scorecard_url": "https://www.jofiscore.com/team/100/test-takers/23456/scorecard",
"job_fit_summary_url": "https://www.jofiscore.com/test-takers/CNP2345678901/job-fit?r=jfs&zones=1_5",
"career_options_spotlight_url": "https://www.jofiscore.com/test-takers/CNP2345678901/job-fit?r=cor&zones=1_5",
"team": {
"id": 100,
"display_name": "Recruiting"
},
"account": {
"id": 200,
"display_name": "Example Company Inc"
}
},
// truncated for brevity
{
"object": "career_navigation_profile_list_item",
"id": "CNP3456789012",
"first_name": "Josh",
"last_name": "Sample",
"email": "josh.sample@jofiscore.com",
"invitation_created_at": "2026-11-14T22:56:12.633153+00:00",
"invitation_id": 34567,
"custom_id": "ABC456",
"person_id": "3bb2141c-4100-4b21-9cd2-a998b76cf738",
"test_taker_id": 34567,
"assessment_url": "https://www.jofiscore.com/welcome/ba96c92d-4238-4dbc-9397-89b5f9df8663",
"career_navigation_url": "https://www.careernavigation.org?c=CNP3456789012",
"scorecard_url": "https://www.jofiscore.com/team/100/test-takers/34567/scorecard",
"job_fit_summary_url": "https://www.jofiscore.com/test-takers/CNP3456789012/job-fit?r=jfs&zones=1_5",
"career_options_spotlight_url": "https://www.jofiscore.com/test-takers/CNP3456789012/job-fit?r=cor&zones=1_5",
"team": {
"id": 100,
"display_name": "Recruiting"
},
"account": {
"id": 200,
"display_name": "Example Company Inc"
}
},
{
"object": "career_navigation_profile_list_item",
"id": "CNP4567890123",
"first_name": "Barney",
"last_name": "Sample",
"email": "barney.sample@jofiscore.com",
"invitation_created_at": "2026-01-25T06:06:39.675742+00:00",
"invitation_id": 45678,
"custom_id": "ABC789",
"person_id": "4bb2141c-4100-4b21-9cd2-a998b76cf739",
"test_taker_id": 45678,
"assessment_url": "https://www.jofiscore.com/welcome/76e67a41-05e7-4a09-bded-ff40cc21b05a",
"career_navigation_url": "https://www.careernavigation.org?c=CNP4567890123",
"scorecard_url": "https://www.jofiscore.com/team/100/test-takers/45678/scorecard",
"job_fit_summary_url": "https://www.jofiscore.com/test-takers/CNP4567890123/job-fit?r=jfs&zones=1_5",
"career_options_spotlight_url": "https://www.jofiscore.com/test-takers/CNP4567890123/job-fit?r=cor&zones=1_5",
"team": {
"id": 100,
"display_name": "Recruiting"
},
"account": {
"id": 200,
"display_name": "Example Company Inc"
}
}
]
}

Get Career Navigation Profile by ID

GET /career-navigation-profiles/:careerNavigationProfileId
{
"mode": "live",
"object": "career_navigation_profile",
"id": "CNP1234567890",
"first_name": "Linda",
"last_name": "Sample",
"email": "linda.sample@jofiscore.com",
"invitation_created_at": "2026-12-11T22:23:05.312696+00:00",
"invitation_id": 12345,
"custom_id": "ABC123",
"person_id": "1bb2141c-4100-4b21-9cd2-a998b76cf736",
"test_taker_id": 12345,
"team": {
"id": 100,
"display_name": "Recruiting"
},
"account": {
"id": 200,
"display_name": "Example Company Inc"
},
"assessment_url": "https://www.jofiscore.com/welcome/69608c33-1425-4123-9c49-22c5d9d7838c",
"career_navigation_url": "https://www.careernavigation.org?c=CNP1234567890",
"scorecard_url": "https://www.jofiscore.com/team/100/test-takers/12345/scorecard",
"job_fit_summary_url": "https://www.jofiscore.com/test-takers/CNP1234567890/job-fit?r=jfs&zones=1_5",
"career_options_spotlight_url": "https://www.jofiscore.com/test-takers/CNP1234567890/job-fit?r=cor&zones=1_5",
"exercises": {
"strengthsCareerInterests": "This is a sample answer to one of the exercises on CareerNavigation.",
"strengthsPersonalityTraits": "This is a sample answer to one of the exercises on CareerNavigation.",
"strengthsJobFamilies": "This is a sample answer to one of the exercises on CareerNavigation.",
"explorationInterviewNotes": "This is a sample answer to one of the exercises on CareerNavigation.",
"explorationInterviewReflection": "This is a sample answer to one of the exercises on CareerNavigation.",
"lmiTargetJobProjectedGrowth": "This is a sample answer to one of the exercises on CareerNavigation.",
"lmiTargetJobCompensation": "This is a sample answer to one of the exercises on CareerNavigation.",
"lmiTargetJobJobOpenings": "This is a sample answer to one of the exercises on CareerNavigation.",
"lmiTargetJobStartingWages": "This is a sample answer to one of the exercises on CareerNavigation.",
"lmiTargetJobRequiredEducationTraining": "This is a sample answer to one of the exercises on CareerNavigation.",
"lmiTargetJobRequiredCredentials": "This is a sample answer to one of the exercises on CareerNavigation.",
"lmiTargetJobEducationTrainingOptions": "This is a sample answer to one of the exercises on CareerNavigation.",
"challengesBarriers": "This is a sample answer to one of the exercises on CareerNavigation.",
"challengesSupport": "This is a sample answer to one of the exercises on CareerNavigation.",
"mentorsNames": "This is a sample answer to one of the exercises on CareerNavigation.",
"mentorsGuidance": "This is a sample answer to one of the exercises on CareerNavigation.",
"targetJobName": "This is a sample answer to one of the exercises on CareerNavigation.",
"targetJobOnetCode": "This is a sample answer to one of the exercises on CareerNavigation.",
"targetJobFiveStarRating": "This is a sample answer to one of the exercises on CareerNavigation.",
"actionPlanNextSteps": "This is a sample answer to one of the exercises on CareerNavigation.",
"transferableSkillsKnowledge": "This is a sample answer to one of the exercises on CareerNavigation.",
"transferableSkillsSkills": "This is a sample answer to one of the exercises on CareerNavigation.",
"transferableSkillsAbilities": "This is a sample answer to one of the exercises on CareerNavigation."
},
"compare_onetsoc_code_1": "29-1124.00",
"compare_onetsoc_code_2": "29-2012.00",
"compare_onetsoc_code_3": "29-2052.00",
"plan_job_1": {
"jobName": "Sample Job Name",
"onetCode": "29-1124.00",
"credentials": "This is a sample answer to one of the exercises on CareerNavigation.",
"onetOccupation": "Sample ONET Occupation",
"educationTraining": "This is a sample answer to one of the exercises on CareerNavigation.",
"supportFromOthers": "This is a sample answer to one of the exercises on CareerNavigation."
},
"plan_job_2": {
"jobName": "Sample Job Name",
"onetCode": "29-2012.00",
"credentials": "This is a sample answer to one of the exercises on CareerNavigation.",
"onetOccupation": "Sample ONET Occupation",
"educationTraining": "This is a sample answer to one of the exercises on CareerNavigation.",
"supportFromOthers": "This is a sample answer to one of the exercises on CareerNavigation."
},
"plan_job_3": {
"jobName": "Sample Job Name",
"onetCode": "29-2052.00",
"credentials": "This is a sample answer to one of the exercises on CareerNavigation.",
"onetOccupation": "Sample ONET Occupation",
"educationTraining": "This is a sample answer to one of the exercises on CareerNavigation.",
"supportFromOthers": "This is a sample answer to one of the exercises on CareerNavigation."
},
"job_search_zip_code": "30030"
}

Response fields

List envelope (GET /career-navigation-profiles)

FieldDescription
mode"live" or "test" depending on your API key
objectAlways "list"
total_countTotal number of career navigation profiles in your account
has_moretrue if more items exist beyond the current page. Only the most recent 50 items are returned for now.
dataArray of career_navigation_profile_list_item objects

career_navigation_profile_list_item fields

FieldDescription
objectAlways "career_navigation_profile_list_item"
idCareer Navigation profile ID
first_nameParticipant first name
last_nameParticipant last name
emailParticipant email address
invitation_created_atISO 8601 timestamp when the invitation was created
invitation_idInvitation ID
custom_idYour grouping identifier, or null
person_idYour system's participant identifier, or null
test_taker_idTest taker ID
assessment_urlAssessment link, or null
career_navigation_urlCareer Navigation URL, or null
scorecard_urlJOFI scorecard URL, or null
job_fit_summary_urlJob Fit Summary report URL, or null
career_options_spotlight_urlCareer Options Spotlight report URL, or null
teamTeam the profile belongs to ({ id, display_name })
accountAccount the profile belongs to ({ id, display_name })

career_navigation_profile object (GET /career-navigation-profiles/:careerNavigationProfileId)

Includes all list-item fields above, plus:

FieldDescription
mode"live" or "test" depending on your API key
objectAlways "career_navigation_profile"
exercisesCareer Navigation exercise answers keyed by exercise ID (see example response for keys)
compare_onetsoc_code_1First O*NET-SOC code used for job comparison
compare_onetsoc_code_2Second O*NET-SOC code used for job comparison
compare_onetsoc_code_3Third O*NET-SOC code used for job comparison
plan_job_1First planned job details ({ jobName, onetCode, credentials, onetOccupation, educationTraining, supportFromOthers }), or null
plan_job_2Second planned job details (same shape as plan_job_1), or null
plan_job_3Third planned job details (same shape as plan_job_1), or null
job_search_zip_codeZip code used for job search labor market information